Subject: bug#10616: flush procedure for soft ports isn't called

From: Ian Price <[email-masked]>
Date: Fri, 27 Jan 2012 06:44:52 +0000

Ian Price <[email-masked]> writes:

> I notice that sf_write doesn't update this buffer, but instead just
> calls the write procedure directly. In that case, it makes sense that
> the value isn't changing, and therefore maybe I should just change
> sf_flush into a wrapper for the flush procedure?

I decided to go ahead and do this. Patch attached. Test case missing as
is traditional for soft ports :), though in all seriousness, soft ports
have been around for ages, and this lack of testing for it is, unsettling.

-- 
Ian Price

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"